# class ActiveRecord::ConnectionAdapters::AbstractAdapter::Version

### Public Class Methods

new(version_string) click to toggle source

    # File lib/active_record/connection_adapters/abstract_adapter.rb, line 121
    def initialize(version_string)
      @version = version_string.split(".").map(&:to_i)
    end

### Public Instance Methods

<=>(version_string) click to toggle source

    # File lib/active_record/connection_adapters/abstract_adapter.rb, line 125
    def <=>(version_string)
      @version <=> version_string.split(".").map(&:to_i)
    end